<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim Copyright and License</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('OpenSim_license_page.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title"><a class="el" href="namespaceOpenSim.html" title="The Moco interface is contained within the OpenSim namespace.">OpenSim</a> Copyright and License </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><h2>What is this?</h2>
<p>You are looking at the website for the reference documentation of the <a class="el" href="namespaceOpenSim.html" title="The Moco interface is contained within the OpenSim namespace.">OpenSim</a> API. This documentation was generated by Doxygen directly from the <a class="el" href="namespaceOpenSim.html" title="The Moco interface is contained within the OpenSim namespace.">OpenSim</a> source code as annotated by the original programmers so it is both accurate and comprehensive. As you will quickly realize if you look around, this is a large system providing a great deal of functionality. It is, however, very easy to use if you know where to begin &ndash; and this reference documentation is most definitely <em>not</em> the place to start if you want to learn how to use <a class="el" href="namespaceOpenSim.html" title="The Moco interface is contained within the OpenSim namespace.">OpenSim</a>. Instead, start with the User's Guide, examples, and tutorials which you can find at the <a class="el" href="namespaceOpenSim.html" title="The Moco interface is contained within the OpenSim namespace.">OpenSim</a> project site <a href="http://opensim.stanford.edu/support/index.html">http://opensim.stanford.edu/support/index.html</a>. There is also a collection of working example programs that come with the <a class="el" href="namespaceOpenSim.html" title="The Moco interface is contained within the OpenSim namespace.">OpenSim</a> installation (in the sdk directory). If you have specific questions, use the <a class="el" href="namespaceOpenSim.html" title="The Moco interface is contained within the OpenSim namespace.">OpenSim</a> user forum (under "Troubleshooting"). You can also file bug reports and make feature requests using the tools provided there.</p>
<h2>Copyright and license</h2>
<p>This license, based on the maximally-permissive Apache 2.0 License, defines the terms under which we offer <a class="el" href="namespaceOpenSim.html" title="The Moco interface is contained within the OpenSim namespace.">OpenSim</a>. </p><div class="fragment"><div class="line"><span class="comment">/* -------------------------------------------------------------------------- *</span></div>
<div class="line"><span class="comment"> *                              OpenSim: License                              *</span></div>
<div class="line"><span class="comment"> * -------------------------------------------------------------------------- *</span></div>
<div class="line"><span class="comment"> * The OpenSim API is a toolkit for musculoskeletal modeling and simulation.  *</span></div>
<div class="line"><span class="comment"> * See http://opensim.stanford.edu and the NOTICE file for more information.  *</span></div>
<div class="line"><span class="comment"> * OpenSim is developed at Stanford University and supported by the US        *</span></div>
<div class="line"><span class="comment"> * National Institutes of Health (U54 GM072970, R24 HD065690) and by DARPA    *</span></div>
<div class="line"><span class="comment"> * through the Warrior Web program.                                           *</span></div>
<div class="line"><span class="comment">                                                                              *</span></div>
<div class="line"><span class="comment"> * Copyright (c) 2005-2018 Stanford University and the Authors                *</span></div>
<div class="line"><span class="comment">                                                                              *</span></div>
<div class="line"><span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may    *</span></div>
<div class="line"><span class="comment"> * not use this file except in compliance with the License. You may obtain a  *</span></div>
<div class="line"><span class="comment"> * copy of the License at http://www.apache.org/licenses/LICENSE-2.0.         *</span></div>
<div class="line"><span class="comment">                                                                              *</span></div>
<div class="line"><span class="comment"> * Unless required by applicable law or agreed to in writing, software        *</span></div>
<div class="line"><span class="comment"> * distributed under the License is distributed on an &quot;AS IS&quot; BASIS,          *</span></div>
<div class="line"><span class="comment"> * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   *</span></div>
<div class="line"><span class="comment"> * See the License for the specific language governing permissions and        *</span></div>
<div class="line"><span class="comment"> * limitations under the License.                                             *</span></div>
<div class="line"><span class="comment"> * -------------------------------------------------------------------------- */</span></div>
</div><!-- fragment --><h2>How to Acknowledge Us</h2>
<p>Acknowledging the <a class="el" href="namespaceOpenSim.html" title="The Moco interface is contained within the OpenSim namespace.">OpenSim</a> project helps us and helps you. It allows us to track our impact, which is essential for securing funding to improve the software and provide support to our users (you). <br  />
 If you use the <a class="el" href="namespaceOpenSim.html" title="The Moco interface is contained within the OpenSim namespace.">OpenSim</a> GUI, you must acknowledge the <a class="el" href="namespaceOpenSim.html" title="The Moco interface is contained within the OpenSim namespace.">OpenSim</a> project where appropriate, by citing the following paper. If you only use the <a class="el" href="namespaceOpenSim.html" title="The Moco interface is contained within the OpenSim namespace.">OpenSim</a> API, you are not required to acknowledge us, but we would be extremely grateful if you did so anyway. <br  />
 <br  />
 <em>Delp SL, Anderson FC, Arnold AS, Loan P, Habib A, John CT, Guendelman E, Thelen DG. <a class="el" href="namespaceOpenSim.html" title="The Moco interface is contained within the OpenSim namespace.">OpenSim</a>: Open-source Software to Create and Analyze Dynamic Simulations of Movement. IEEE Transactions on Biomedical Engineering. (2007)</em> <br  />
 <br  />
 We would also be grateful if you mention that <a class="el" href="namespaceOpenSim.html" title="The Moco interface is contained within the OpenSim namespace.">OpenSim</a> is funded by NIH Roadmap grant U54 GM072970, the NIH research infrastructure grant R24 HD065690, and the DARPA Warrior Web Program. We greatly appreciate this support, and the NIH and DARPA appreciate knowing that their funds are having an impact, particularly on medical research and human health. If you use plugins, models, or other components contributed by your fellow researchers, you must acknowledge their work as described in the license that accompanies each of these files. <br  />
 <br  />
 </p><h2>Author List</h2>
<p>Many people have contributed to the <a class="el" href="namespaceOpenSim.html" title="The Moco interface is contained within the OpenSim namespace.">OpenSim</a> API, including the following: <br  />
 <br  />
 Nabeel Allana, Frank C. Anderson, Allison S. Arnold, Scott L. Delp, Christopher L. Dembia, Matt S. DeMers, Neil Dhir, Tim Dorn, James J. Dunne, Peter Eastman, Brian Garner, Saryn R. Goldberg, Eran Guendelman, Ayman Habib, Samuel R. Hamner, Jennifer L. Hicks, Katherine R. S. Holzbaur, Chand T. John, Cassidy Kelly, Shrinidhi K. Lakshmikanth, Andrew LaPre, May Q. Liu, Peter Loan, Jack Middleton, Matthew Millard, Paul C. Mitiguy, Jason Moore, Carmichael Ong, Soha Pouya, Apoorva Rajagopal, Jeffrey A. Reinbolt, Kate Saul, Ajay Seth, Michael A. Sherman, Weiguang Si, Ian Stavness, Darryl G. Thelen, Thomas K. Uchida, Jack Wang, Kevin Xu, Jenny Yong <br  />
 <br  />
 Please see <a href="https://github.com/opensim-org/opensim-core/blob/master/CONTRIBUTING.md">https://github.com/opensim-org/opensim-core/blob/master/CONTRIBUTING.md</a> for information on contributing to the project. </p>
</div></div><!-- contents -->
</div><!-- PageDoc -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:16 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
